#include <xmdv/CFlatDisplayInformation.h>
#include <string.h>

CFlatDisplayInformation::CFlatDisplayInformation()
{
    Reset();
}


CFlatDisplayInformation::~CFlatDisplayInformation()
{

}

void CFlatDisplayInformation::Reset()
{
    glyph_place = ORIGINAL;
    glyphShape = 0;
    increase = 1;
    space = 0;
    reduce_overlap = 0;

    strcpy( colorscale, "Predefined");
    strcpy( colorassigned.colorprefer, "Uniform");

    time_series_animation = false;
    time_dim = 0;
    time_method = 1;

    redraw = true;

    flat_sb_brush = false;

}

void CFlatDisplayInformation::Shape_Original_Glyph() 
{
    glyphShape = 0;
}

void CFlatDisplayInformation::Shape_New_Glyph() 
{
    glyphShape = 1;
}
