#ifndef ONLINEDIMCLUSTERING_H
#define ONLINEDIMCLUSTERING_H

#include <xmdv/CLinkList.h>
#include <xmdv/ARR.h>
#include <xmdv/cluster.h>
#include <math.h>
#include <string.h>

struct DataPair{
	CLinkListNode *p1, *p2;
    DataPair(CLinkListNode *pointer1, CLinkListNode *pointer2) : p1(pointer1), p2(pointer2) {}
};

struct DimClusterNode{
    int id;
    int count;
    int entries;
    int okc_id;
	double *data;
    double radius;
	CLinkListNode *parent;
    ~DimClusterNode() 
    {
        if ( data != NULL )
            delete data;
    }
};

extern bool OnlineClusterDimension(const char* input_file_name, const char* out_file_name, int times, int threshold);

#endif

